Résolu Erreur de connexion sur serveur distant

Plus d'informations
il y a 1 mois 3 jours #33982 par Fabien
Effectivement la version n'est pas à jour sur le serveur.

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 1 mois 3 jours #33983 par Matthieu
Le problème vient de là ? 
Quelle version puis-je installer sachant qu'il s'agit d'un Windows Server 2008 R2 ?

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 2 semaines 5 jours #34023 par Arnaud Petitjean
Bonjour Matthieu,

Sur un serveur 2008R2, tu peux upgrader jusqu'à la version 5.1 de PowerShell. Cependant, il te faudra faire une montée de version du Framework .NET. Donc, prudence s'il s'agit d'un serveur d'application qui pourrait avoir des dépendances avec .NET.

Arnaud

MVP PowerShell et créateur de ce magnifique forum :-)
Auteur de 6 livres PowerShell aux éditions ENI
Fondateur de la société Start-Scripting
Besoin d'une formation PowerShell ?

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 2 semaines 5 jours #34024 par Arnaud Petitjean
Cela étant, je ne suis pas sûr que la mise à jour de PowerShell va changer quelque chose à ton problème.

D'après ce que j'ai pu voir, tu arrives bien à exécuter une commande PowerShell à distance, via Invoke-Command. Donc quel est le problème exactement ?

Si on regarde attentivement ton message d'erreur dans ton 1er post, tu as un problème d'authentification Kerberos. Il faut savoir qu'il ne faut jamais utiliser l'adresse IP d'un serveur avec Invoke-Command mais toujours utiliser le nom FQDN (nom long) de la machine. Car Kerberos fait la vérification DNS lui-même.
Ton problème est peut-être tout simplement cela ?

Arnaud

MVP PowerShell et créateur de ce magnifique forum :-)
Auteur de 6 livres PowerShell aux éditions ENI
Fondateur de la société Start-Scripting
Besoin d'une formation PowerShell ?

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 2 semaines 5 jours #34025 par Matthieu
Bonjour Arnaud,

Non comme indiqué dans la copie d'écran j'utilise bien le fqdn de ma machine pour essayer de m'y connecter...

Matthieu

Connexion ou Créer un compte pour participer à la conversation.

Plus d'informations
il y a 2 semaines 5 jours #34026 par Arnaud Petitjean
Je n'ai pas vu de copie d'écran, mais juste le copier/coller du message d'erreur  ...

Quoiqu'il en soit, je viens de remarquer, en effet, que WinRM n'était pas en cause car ça fonctionne très bien, même avec PowerShell 2.

Si on observe bien le 2e message d'erreur, il indique que la commande Get-CimInstance n'existe pas. En effet, celle-ci a été introduite dans PowerShell 3.
Donc, si tu ne souhaites pas upgrader PowerShell, tu peux remplacer la commande Get-CimInstance par la commande Get-WmiObject et ça fonctionnera.

@+
Arnaud

MVP PowerShell et créateur de ce magnifique forum :-)
Auteur de 6 livres PowerShell aux éditions ENI
Fondateur de la société Start-Scripting
Besoin d'une formation PowerShell ?

Connexion ou Créer un compte pour participer à la conversation.

Temps de génération de la page : 0.085 secondes
Propulsé par Kunena